<?php
############################################################################
# A Project of TNET Services, Inc. and Saratoga-Weather.org (Canada/World-ML template set)
############################################################################
#
#   Project:    Sample Included Website Design
#   Module:     sample.php
#   Purpose:    Sample Page
#   Authors:    Kevin W. Reed <kreed@tnet.com>
#               TNET Services, Inc.
#
# 	Copyright:	(c) 1992-2007 Copyright TNET Services, Inc.
############################################################################
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
############################################################################
#	This document uses Tab 4 Settings
############################################################################
/**************************** Version 20220225 ****************************/
$viewSource = false;
if (isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
//--self downloader --
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   readfile($filenameReal);
   exit;
}
############################################################################
$standAlone	= true;			// false if we run in the template environment
if ( $standAlone ) { ?>
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
	<html xmlns="https://www.w3.org/1999/xhtml">
	<?php
	$SITE = array();
	$_SESSION = array();
	?>
	<head>
	<meta http-equiv="Content-Type" content="text/html;charset=ISO-8859-1"/>
	<meta name="description" content="NWS US 5 Day Excessive Rainfall Forecasts"/>
  <?php
}
else {
	require_once("Settings.php");
	require_once("common.php");
}
############################################################################
if ( !$standAlone ) {
	$TITLE = langtransstr($SITE['organ']) . " - " .langtransstr('NWS US 5 Day Excessive Rainfall Forecasts');
	$showGizmo = true;  // set to false to exclude the gizmo
	include("top.php");
}
else {
	$TITLE = 'NWS US 5 Day Excessive Rainfall Forecasts';
	echo '<title> '.$TITLE.'</title>';
}
############################################################################
?>
<link href="css/hover-tiny.css" rel="stylesheet" media="all"/>
<style type="text/css">
.hidden {
	display: none;
	position: absolute;
	left: 0px;
	top:  0px;
	}
.shown {
	display: block;
	position: absolute;
	left: 0px;
	top:  0px;
	}
div.center {
	margin-left:auto;
	margin-right:auto;
}
</style>
<?php echo $standAlone?'
<style type="text/css">
body {
  font-family: "arial", sans-serif;
}
</style>
':''?>
</head>
<body>
<?php
############################################################################
if ( !$standAlone ) {
	include("header.php");
	include("menubar.php");
} else {
	date_default_timezone_set("America/New_York");
}
if (!function_exists('getUniqueImageURL')) {
	function getUniqueImageURL($image_url){
		$timestamp = time();
		if(strpos($image_url, '?')){
			$image_url = str_replace('?', "?$timestamp&", $image_url);
		}
		else{
			$image_url .= "?$timestamp";
		}
		return $image_url;
	}
}
############################################################################
$divWidth = 656; // Narrow style width
$maxWidth = 1000; // Maximum width of images
/***************************  End of Settings *****************************/
date_default_timezone_set("America/New_York");
if (isset($_SESSION['CSSwidescreen'])) {
  $divWidth = ($_SESSION['CSSwidescreen']==1)? $maxWidth : $divWidth;
}
$divWidth = $standAlone?$maxWidth:$divWidth;
$thumbnailWidth = ($standAlone)?($divWidth-12)/5:(($divWidth/5)-5);
$useGMAM = (((gmdate("G")<12)&&(gmdate("j")==date("j")))?'true':'false'); // Identify GM AM
$today = mktime(0,0,0,date("m"),date("d"),date("Y"));
/* Debug Code *
 echo 'gmdate("j"): '.gmdate("j").', date("j"): '.date("j").'<br/>';
 echo 'date_default_timezone_get(): '.date_default_timezone_get().'<br/>';
 echo 'date("D", $today).\' \'.date("M j", $today): '.date("D", $today).' '.date("M j", $today).'<br/>';
/* End Debug Code */
?>
<?php if (isset($_SESSION['CSSwidescreen'])) { ?>
	<div id="main-copy" style="width:<?php echo ($_SESSION['CSSwidescreen']==1 ? 'calc(100%-114px)' : $divWidth)?>px;<?php echo !$standAlone?'border:inset':''?>">
<?php } else { ?>
	<div id="main-copy" style="width:<?php echo $divWidth?>px" class="center">
<?php }	?>
  <div class="center" style="text-align:center; width:<?php echo $divWidth?>px">
	<br/><h2 align="center">
		<?php if (!$standAlone) {
			langtrans("NWS US 5 Day Excessive Rainfall Forecasts");
		} else {
			echo 'NWS US 5 Day Excessive Rainfall Forecasts';
		} ?></h2>
	  <div class="center" style="line-height:100%">(Hover over a thumbnail to display a new chart.)</div>
      <hr/>
		<div class="center" style="width:<?php echo $divWidth?>px; position:relative">
      <table width="99%" align="center">
        <tr style="font-weight:bold; padding: 0px; cursor:pointer; vertical-align:bottom" >
        <td style="font-weight:bold; padding: 0px; cursor:pointer ">Today, <?php $today = mktime(0,0,0,date("m"),date("d"),date("Y")); echo date("D", $today).' '; echo date("M j", $today);?><a class="hvr-glow hvr-shrink" onmouseover="show_tab('day1')"><img src="https://www.wpc.ncep.noaa.gov/qpf/94ewbg.gif" width="<?php echo $thumbnailWidth?>" alt="day 1 image"/></a></td>
        <td style="font-weight:bold; padding: 0px; cursor:pointer ">Tomorrow, <?php $tomorrow = mktime(0,0,0,date("m"),date("d")+1,date("Y")); echo date("D", $tomorrow).' '; echo date("M j", $tomorrow);?><a class="hvr-glow hvr-shrink" onmouseover="show_tab('day2')"><img src="https://www.wpc.ncep.noaa.gov/qpf/98ewbg.gif" width="<?php echo $thumbnailWidth?>" alt="day 2 image"/></a></td>
        <td style="font-weight:bold; padding: 0px; cursor:pointer ">In 2 Days, <?php $datomorrow = mktime(0,0,0,date("m"),date("d")+2,date("Y")); echo date("D", $datomorrow).' '; echo date("M j", $datomorrow);?><a class="hvr-glow hvr-shrink" onmouseover="show_tab('day3')"><img src="https://www.wpc.ncep.noaa.gov/qpf/99ewbg.gif" width="<?php echo $thumbnailWidth?>" alt="day 3 image"/></a></td>
        <td style="font-weight:bold; padding: 0px; cursor:pointer ">In 3 Days, <?php $day3days = mktime(0,0,0,date("m"),date("d")+3,date("Y")); echo date("D", $day3days).' '; echo date("M j", $day3days);?><a class="hvr-glow hvr-shrink" onmouseover="show_tab('day4')"><img src="https://www.wpc.ncep.noaa.gov/qpf/ero_d45/images/d4wbg.gif" width="<?php echo $thumbnailWidth?>" alt="day 4 image"/></a></td>
        <td style="font-weight:bold; padding: 0px; cursor:pointer ">In 4 Days, <?php $day4days = mktime(0,0,0,date("m"),date("d")+4,date("Y")); echo date("D", $day4days).' '; echo date("M j", $day4days);?><a class="hvr-glow hvr-shrink" onmouseover="show_tab('day5')"><img src="https://www.wpc.ncep.noaa.gov/qpf/ero_d45/images/d5wbg.gif" width="<?php echo $thumbnailWidth?>" alt="day 5 image"/></a></td>
        </tr></table>

      <hr/></div>
		<div class="center" style="width:<?php echo $divWidth?>px; position:relative">
        <?php echo $divWidth!=$maxWidth?'<a href="https://www.wpc.ncep.noaa.gov/qpf/94ewbg.gif" target="_blank" title="Larger Image">':''?><img src="<?php echo getUniqueImageURL('https://www.wpc.ncep.noaa.gov/qpf/94ewbg.gif')?>" id="day1" class="hidden"  alt="Day 1" style="width:<?php echo $divWidth?>px"/><?php echo $divWidth!=$maxWidth?'</a>':''?>
        <?php echo $divWidth!=$maxWidth?'<a href="https://www.wpc.ncep.noaa.gov/qpf/98ewbg.gif" target="_blank" title="Larger Image">':''?><img src="<?php echo getUniqueImageURL('https://www.wpc.ncep.noaa.gov/qpf/98ewbg.gif')?>" id="day2" class="hidden" alt="Day 2" style="width:<?php echo $divWidth?>px"/><?php echo $divWidth!=$maxWidth?'</a>':''?>
        <?php echo $divWidth!=$maxWidth?'<a href="https://www.wpc.ncep.noaa.gov/qpf/99ewbg.gif" target="_blank" title="Larger Image">':''?><img src="<?php echo getUniqueImageURL('https://www.wpc.ncep.noaa.gov/qpf/99ewbg.gif')?>" id="day3" class="hidden" alt="Day 3" style="width:<?php echo $divWidth?>px"/><?php echo $divWidth!=$maxWidth?'</a>':''?>
        <?php echo $divWidth!=$maxWidth?'<a href="https://www.wpc.ncep.noaa.gov/qpf/ero_d45/images/d4wbg.gif" target="_blank" title="Larger Image">':''?><img src="<?php echo getUniqueImageURL('https://www.wpc.ncep.noaa.gov/qpf/ero_d45/images/d4wbg.gif')?>" id="day4" class="hidden" alt="Day 4" style="width:<?php echo $divWidth?>px"/><?php echo $divWidth!=$maxWidth?'</a>':''?>
        <?php echo $divWidth!=$maxWidth?'<a href="https://www.wpc.ncep.noaa.gov/qpf/ero_d45/images/d5wbg.gif" target="_blank" title="Larger Image">':''?><img src="<?php echo getUniqueImageURL('https://www.wpc.ncep.noaa.gov/qpf/ero_d45/images/d5wbg.gif')?>" id="day5" class="hidden" alt="Day 5" style="width:<?php echo $divWidth?>px"/><?php echo $divWidth!=$maxWidth?'</a>':''?>

	  <div class="center" style="width:<?php echo $divWidth?>px; display:block">

       <?php echo $divWidth!=$maxWidth?'<a href="https://www.wpc.ncep.noaa.gov/qpf/94ewbg.gif" target="_blank" title="Opens in New Tab">':''?><img src="<?php echo getUniqueImageURL('https://www.wpc.ncep.noaa.gov/qpf/94ewbg.gif')?>" width="<?php echo $divWidth?>" border="0" alt=""/><?php echo $divWidth!=$maxWidth?'</a>':''?>
      </div>
      </div>
      <div class="center" style="text-align:center; width:<?php echo $divWidth?>px">
      	<a href="https://www.wpc.ncep.noaa.gov/discussions/hpcdiscussions.php?disc=qpferd" target="_blank" title="Opens in New Tab">Text Discussion</a> (if available)<br/><hr/>
      </div>
      <?php echo ($divWidth!=$maxWidth&&file_exists('wx5dexcessrain-SA.php'))?'<p align="center" style="font-size:14px; font-weight:bold"><a href="wx5dexcessrain-SA.php" target="_blank" title="Largest Maps in New Tab">Full Size Maps</a></p>':''?>
        <div class="center" style="text-align:center">
    		<span style="font-size:9px; text-align:center">Maps and Data Courtesy of NOAA NWS <a href="https://www.wpc.ncep.noaa.gov/qpf/excess_rain.shtml" target="_blank" title="Opens in New Tab">Weather Prediction Center</a> -- Script by <a href="https://www.gwwilkins.org" title="New Tab" target="_blank">SE Lincoln Weather</a><br/></span>
  </div>
<script language="Javascript" type="text/javascript">
function show_tab(nam)
   {
   document.getElementById("day1").style.display= "none";
   document.getElementById("day2").style.display= "none";
   document.getElementById("day3").style.display= "none";
   document.getElementById("day4").style.display= "none";
   document.getElementById("day5").style.display= "none";
   document.getElementById(nam).style.display = "block";
   }
</script>
</div>
</div><!-- end main-copy -->
<?php
############################################################################
if ( !$standAlone ) {
	include("footer.php");
} else {
	echo '</body></html>';
}
############################################################################
# End of Page
############################################################################
